Package org.eclipse.debug.ui.memory

## Interface IMemoryRenderingManager

All Superinterfaces:
  `IMemoryRenderingBindingsProvider`

    public interface IMemoryRenderingManager
    extends IMemoryRenderingBindingsProvider

Manager for memory renderings. Provides facilities for creating renderings and retrieving memory rendering bindings.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IMemoryRenderingType` `getRenderingType​(String id)` Returns the memory rendering type with the given identifier, or `null` if none.
`IMemoryRenderingType[]` `getRenderingTypes()` Returns all contributed memory rendering types.

### Methods inherited from interface org.eclipse.debug.ui.memory.IMemoryRenderingBindingsProvider

`addListener, getDefaultRenderingTypes, getPrimaryRenderingType, getRenderingTypes, removeListener`

### Method Detail

#### getRenderingTypes

    IMemoryRenderingType[] getRenderingTypes()

Returns all contributed memory rendering types.

Returns:
  all contributed memory rendering types

#### getRenderingType

    IMemoryRenderingType getRenderingType​(String id)

Returns the memory rendering type with the given identifier, or `null` if none. The memory rendering manager will search through rendering types that are contributed via explicit rendering bindings. (i.e. rendering types contributed via the memoryRenderings extension point). This method will not return rendering types that are contributed by a memory binding provider.

Parameters:
  `id` - memory rendering type identifier
Returns:
  the memory rendering type with the given identifier, or `null` if none